BUILD_NNTSC_DB(1)

NAME
build_nntsc_db - create the internal structure for an NNTSC database

SYNOPSIS
build_nntsc_db -C filename [ -F ]

DESCRIPTION
This script will create the tables needed for an NNTSC database. The database itself must already have been created using createdb(1). For some dataparsers (most notably, the RRD-based parsers), this script will also create the streams as described in the configuration files.

OPTIONS

-C filename
    read the database configuration from <filename>

-F  wipe and rebuild the entire database. Note that this will DELETE all time series data currently in the database.

NOTES
Running build_nntsc_db is easy -- the tricky part is writing the NNTSC configuration file. See the NNTSC README for a full explanation of the config options available and how to express them. If any of the underlying NNTSC configuration has changed, e.g. you have added more Smokeping RRDs that you would like NNTSC to process, then you can run this script again (without the -F option!) to update the NNTSC database accordingly. The script is smart enough to not create tables or streams for anything that already exists. Only run this with -F if you are absolutely certain you want to scrap everything and start again as the time series data cannot be recovered.

SEE ALSO
nntsc(1)

AUTHORS
Shane Alcock <salcock@waikato.ac.nz>